package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Reg;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface RegMapper {

    int insert(Reg record);

    int insertSelective(Reg record);

    int updateByPrimaryKeySelective(Reg record);

    int updateByPrimaryKey(Reg record);

    int deleteByPrimaryKey(Reg record);

    int deleteByIds(Collection<Object> collection);

    Reg selectByPrimaryKey(Reg record);

    Reg selectByCod(String cod);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Reg> dyncRead(Map<String,Object> dyncMap);

    Reg selectByInr(String inr);

}